All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Interface IdentityInterface

All Superinterfaces:
  MetadataInterface, PublicObjectInterface, java.rmi.Remote

All Known Subinterfaces:
  IdentityGroupInterface, PersonInterface, RoleInterface

All Known Implementing Classes:
  AllUsersIdentity, AuthenticatedIdentity, DavPerson, PropertyIdentity, ReferenceIdentity, SelfIdentity, UnauthenticatedIdentity

    public interface IdentityInterface

extends MetadataInterface

Field Summary

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Method Summary
`void` | `addLogin(LoginInterface login)` Add a login to the Identity Group.
`java.lang.String` | `getDisplayName()` Get the identity's display name attribute.
`java.lang.String` | `getEffectiveDispayName()` Deprecated. Please use the correctly spelled version.
`java.lang.String` | `getEffectiveDisplayName()` Get the effective display name for the identity.
`java.util.List` | `getIdentityGroups()` Get a List of the IdentityGroups that this Identity belongs to.
`java.util.List<IdentityMembershipInterface>` | `getIdentityMembershipLevels()` Returns the List of IdentityMembershipInterface instances ordered by membership level
`java.lang.String` | `getIdentityType()` Return the type of Identity.
`java.util.List` | `getLogins()` Get a list of the Login objects associated with this Identity.
`java.util.List` | `getUserIds()` Get a list of the user id's from the logins associated with this Identity.
`void` | `removeLogin(LoginInterface login)` Remove a Login from the Identity Group.
`void` | `setDisplayName(java.lang.String displayName)` Set the identity's display name.

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifyDate, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Method Detail

### getLogins

    java.util.List getLogins()
                             throws ServiceException,
                                    java.rmi.RemoteException

  Get a list of the Login objects associated with this Identity.

  Returns:
    a List of the Logins.
  Throws:
    `ServiceException` - in the event of a repository failure.
    `java.rmi.RemoteException` - in the event of remote object failure.

### addLogin

    void addLogin(LoginInterface login)
                  throws ServiceException,
                         java.rmi.RemoteException

  Add a login to the Identity Group.

  Parameters:
    `login` - The Login to add to this Identity Group.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### removeLogin

    void removeLogin(LoginInterface login)
                     throws ServiceException,
                            java.rmi.RemoteException

  Remove a Login from the Identity Group.

  Parameters:
    `login` - The Login to remove from this Identity Group.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getUserIds

    java.util.List getUserIds()
                              throws ServiceException,
                                     java.rmi.RemoteException

  Get a list of the user id's from the logins associated with this Identity.

  Returns:
    a List of the user id's.
  Throws:
    `ServiceException` - in the event of repository failure.
    `java.rmi.RemoteException` - in the event of remote object failure.

### getIdentityGroups

    java.util.List getIdentityGroups()
                                     throws ServiceException,
                                            java.rmi.RemoteException

  Get a List of the IdentityGroups that this Identity belongs to.

  Returns:
    A List of IdentityGroupInterface objects that this identity is a direct member of.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getDisplayName

    java.lang.String getDisplayName()
                                    throws ServiceException,
                                           java.rmi.RemoteException

  Get the identity's display name attribute.

  Returns:
    The display name, or null if it hasn't been set.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setDisplayName

    void setDisplayName(java.lang.String displayName)
                        throws ServiceException,
                               java.rmi.RemoteException

  Set the identity's display name. Most users will not have permission to perform this operation. Only user/group administrators will be able to change display names.

  Parameters:
    `displayName` - The identity's new display name.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getEffectiveDispayName

    java.lang.String getEffectiveDispayName()
                                            throws ServiceException,
                                                   java.rmi.RemoteException

  Deprecated. Please use the correctly spelled version.

  Get the effective display name for the identity. If the display name is non-null, that will be returned. Otherwise, the name is returned.

  Returns:
    The effective display name.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getEffectiveDisplayName

    java.lang.String getEffectiveDisplayName()
                                             throws ServiceException,
                                                    java.rmi.RemoteException

  Get the effective display name for the identity. If the display name is non-null, that will be returned. Otherwise, the name is returned.

  Returns:
    The effective display name.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getIdentityType

    java.lang.String getIdentityType()
                                     throws ServiceException,
                                            java.rmi.RemoteException

  Return the type of Identity. This is mostly for internal use. Returns either "Person" or "IdentityGroup". To get the user friendly string, just use getType().

  Returns:
    The identity type string.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getIdentityMembershipLevels

    java.util.List<IdentityMembershipInterface> getIdentityMembershipLevels()
                                                                            throws ServiceException,
                                                                                   java.rmi.RemoteException

  Returns the List of IdentityMembershipInterface instances ordered by membership level

  Returns:
    List<`IdentityMembershipInterface`>
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.